Subject: bug#54296: Add buffer-matching functionality

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Jun 2022 20:29:51 +0300

> Date: Wed, 15 Jun 2022 19:51:42 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 15.06.2022 19:17, Eli Zaretskii wrote:
> > Did you see that "was" part in what I wrote above?  I was only
> > describing what I meant to say back then, that's all.
> 
> Because your opinion made it into reality.

Sorry about that, but it was a misunderstanding of my opinion.

> Are you going to be fine with me changing 'buffer-match-p' to match the 
> older contract of 'project-kill-buffer-conditions', with both 
> 'major-mode' and 'derived-mode' matchers included?

I don't think I understand what you are suggesting.  What is that
"older contract"?  Can you show a patch?